Skip to content

AccountsPayableService⁠

Manage accounts payable records.

Operations⁠

getInvoicePagedList⁠

POST

Retrieves a paged list of invoices.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/getInvoicePagedList
POST /nexum/627/2022.01/accountspayable/getInvoicePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceListSelectFields⁠

POST

Retrieves a list of invoices with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceListSelectFields
POST /nexum/627/2022.01/accountspayable/getInvoiceListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "SelectableFields": {
    "IncludeAllInvoiceFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchInvoiceSelectFields⁠

POST

Searches invoices with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/searchInvoiceSelectFields
POST /nexum/627/2022.01/accountspayable/searchInvoiceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "SelectableFields": {
    "IncludeAllInvoiceFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoicePagedListSelectFields⁠

POST

Returns a page of invoice selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/getInvoicePagedListSelectFields
POST /nexum/627/2022.01/accountspayable/getInvoicePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllInvoiceFields": false,
    "InvoiceFields": {
      "Locator": true,
      "Number": true,
      "Description": true,
      "TotalInvoiceAmtDue": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchInvoicePagedSelectFields⁠

POST

Searches invoices and returns selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/accountspayable/searchInvoicePagedSelectFields
POST /nexum/627/2022.01/accountspayable/searchInvoicePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllInvoiceFields": false,
    "InvoiceFields": {
      "Locator": true,
      "Number": true,
      "Description": true,
      "TotalInvoiceAmtDue": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceNote⁠

POST

Retrieves a note associated with an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
InvoiceNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceNote
POST /nexum/627/2022.01/accountspayable/getInvoiceNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "InvoiceNoteLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}